# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-jqplugins-gritter
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.jqplugins.gritter

Name:           python-module-tw2-jqplugins-gritter
Version:        2.0.1
Release:        alt1_4
Summary:        jQuery gritter (growl-like pop-ups) for ToscaWidgets2

Group:          Development/Python
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-simplejson
BuildRequires:  python-module-tw2-core
BuildRequires:  python-module-tw2-jquery
BuildRequires:  python-module-tw2-jqplugins-ui
Source44: import.info

# Runtime requirements

%description
This module provides growl like pop-ups with the gritter plugin for
python-tw2-jqplugins-ui.

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} >= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build
# This is a hack to get the jqplugins to not stomp all over each others
# namespace declarations.
rm -f build/lib/tw2/jqplugins/__init__.py*

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README.rst LICENSE

%{python_sitelibdir_noarch}/tw2/jqplugins/gritter
%{python_sitelibdir_noarch}/%{modname}-%{version}-*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_4
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_3
- initial fc import

